******************************************************************************
*                     SYMPHONY MCKP Application                             * 
******************************************************************************

The SYMPHONY MCKP application solves the multi-criteria knapsack problem. This
application is intended as a basic illustration of how to use the
multicriteria solver of SYMPHONY. For another solver that uses the
multicriteria capability in a more sophisticated fashion, please download the
SYMPHONY CNRP application.

******************************************************************************
*                              INSTALLATION                                  *
******************************************************************************

Please see the INSTALL file for a guide to compile SYMPHONY MCKP application.

*******************************************************************************
*                      USING THE SOLVER                                       *
*******************************************************************************

To execute the MCKP application, just specify the location of the data file by
typing "-F 'filename' -T 'format'" as an argument after the executable
name. The last argument is the file format and there are three different
formats that the parser can read. There is a sample file called "sample.mckp"
that you can try to make sure the solver is working. The sample file is in
format 3. More data files may become available. Please check
http://www.branchandcut.org/MCKP/data for more information. The user-defined
parameters are the following:

		-H: help (user switches)
		-F file: problem instance data is in 'file'
                -T format: a number between 1 and 3 that specifies the 
                           file format.

You can also obtain the above list by tying the executable name followed by
"-H". There are a number of other (for now) undocumented parameters that can
be used to fine-tune the performance of the solver. These must be set in a
parameter file. The SYMPHONY User's Manual explains the use of the parameter
file.

Some of SYMPHONY's native parameters can also be set on the command
line. Below is a list of these parameters. This list can also be obtained by
typing the executable name with no command-line arguments. Note that all
SYMPHONY parameters are denoted by a lowercase letter. Note that there are
dozens of other parameters that can be set with the use of a parameter
file. These parameters are listed in the SYMPHONY User's Manual.

		-h: help
        	-a: no cut timeout
        	-d: enable graph drawing
        	-g: use cut generator
        	-r: do repricing in root
        	-t: trim the tree
        	-b: don't perform branch and cut
        	-u ub: use upper bound 'ub'
        	-p procs: allow 'procs' active nodes
        	-n i: use node selection rule 'i'
        	-v i: set verbosity to level 'i'
        	-s cands: use 'cands' candidates for strong branching
        	-c i: use rule 'i' to compare candidates
        	-k i: use rule 'i' to select child
        	-m n: allow a max of 'n' cuts to enter per iteration
        	-e n: allow a max of 'n' cut pools
        	-l n k: load balance level 'n' and iterations 'k'
        	-i n: allow a max of 'n' iterations in presolve
        	-z n: set diving threshold to 'n'
        	-f file: read parameters from parameter file 'file'

AUTHORS

The SYMPHONY MCKP application was developed by Ted Ralphs.
(ted@lehigh.edu).

BUG REPORTS

Please submit bug reports at https://projects.coin-or.org/SYMPHONY
